@extends('layouts.master')

@section('navigation')
    @if(Auth::user()->role==1)
        @include('local.managers.admins._navigation')
    @elseif(Auth::user()->role==2)
        @include('local.managers.sCoords._navigation')
    @elseif(Auth::user()->role==3)
        @include('local.managers.pCoords._navigation')
    @endif
@stop

@section('main')
    <div class="row">
        <div class="col-md-3">
            <div class="category" >
              <label for="annual_plans">Annual Plan</label>
              <div class="select">
                <select  class="selectpicker" name="annual_plan" id="annual_plans" onchange ="fetchAnnualReport(this)">
                  
                  @foreach ($annual_plans as $an_pl)
                    <option value='{{json_encode($an_pl)}}'>Annual Plan {{$an_pl->academic_year}}</option>
                  @endforeach
                </select>
              </div>
            </div>
        </div>

        <div class='col-md-9' id='report'>
            <ul id = 'levelTabs' class = "nav nav-tabs" role = "tablist">
 

            </ul>
<div id ='allLists' class="tab-content">
</div>
        </div>
        

    </div>

<script>
    function fetchAnnualReport(select){
        object_json = $(select).val();
        object_json = JSON.parse(object_json);
        semester_start = object_json.semester_start;
        semester_end = object_json.semester_end;
        program_id = object_json.program_id;
        annual_plan_id = object_json.annual_id;

        $.post(
        "{{ URL::action('AnnualPlansController@fetchAnnualReport') }}",
        { 
            semester_start: semester_start,
            semester_end: semester_end,
            program_id: program_id,
            annual_plan_id: annual_plan_id,
            academic_year:object_json.academic_year

        
        },
        function(data)
        {
            $('#levelTabs').html(' ');
        $.each(data, function(course_code, course_data){
            
            li = $("<li/>", {
                'role':'presentation'
            });
            li.append($('<a/>',{
                'onclick': "$(this).tab('show')",
                'data-toggle':'tab',
                'href':'#'+course_code,
                'role':'tab'
            }).html(course_code.replace('_',' ')));

            div = $("<div/>",{
                'role':'tabpanel',
                'class':'tab-pane',
                'id':course_code,
            });

            title = $("<h3/>",{
                'style':'text-align: center'
            }).html('Course: '+course_code.replace('_',' '));

            criteriaAssessed = $("<h4/>",{
                'style':'display: inline'
            }).html('Criteria Assessed in course')

            tableCriteria = $("<table/>", {
                'class':'table table-striped table-condensed datatable'
            });
            thead = $("<thead/>").html("<tr>"+
            "<th>Criterion</th>"+
            "<th>Number of Students Assessed</th>"+
            "<th>Number of Students that Achieved The Target</th>"+
            "<th>%</th>"+
            "<th>Outcomes</th>");
            tbody = $("<tbody>");


            $('#levelTabs').append(li);
            $("#allLists").append(div);
            

            $.each(course_data, function(index, reports){

                $.each(reports.criteriaReport, function(index2, criterion){
                    criterion
                })
            })
            

        })

                  
        }
        );

    }

    fetchAnnualReport(document.getElementById('annual_plans'));
</script>
@section('included-js')
@include('global._datatables_js')
@stop
    
@stop

@section('javascript')



@stop
